//+------------------------------------------------------------------+
//|                                               IntraDayPivots.mq4 |
//|                                           Copyright  2006, Maji |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Maji"
#property link      "None"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Magenta

//---- indicator parameters
extern int LookBackPeriod=6;
extern int StartTime=9;
extern int GMTShift=2;

//---- buffers
double UBBuffer[];
double LBBuffer[];
double R1, S1;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,UBBuffer);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,LBBuffer);

//----
   //SetIndexDrawBegin(0,0);
   //SetIndexDrawBegin(1,0);
//----
   return(0);
  }

int deinit() 
{
 return(0);
}
int start()
  {
//----
   int counted_bars=IndicatorCounted();
   int i;
   bool long=false;

   if(Bars<=LookBackPeriod) return(0);
//---- initial zero
   if(counted_bars<1)
      for(i=1;i<=LookBackPeriod;i++)
        {
         UBBuffer[Bars-i]=EMPTY_VALUE;
         LBBuffer[Bars-i]=EMPTY_VALUE;
        }
//----
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
//----
   i=Bars-LookBackPeriod+1;
   if(counted_bars>LookBackPeriod-1) i=Bars-counted_bars-1;
   while(i>=0)
   {
     double rates_h1[2][6];


  ArrayCopyRates(rates_h1, Symbol(), PERIOD_H1);
     if(TimeHour(rates_h1[0][0])==(StartTime + GMTShift))
     {
      double Hi = High[Highest(NULL,0,MODE_HIGH,LookBackPeriod,i)];
      double Lo = Low[Lowest(NULL,0,MODE_LOW,LookBackPeriod,i)];
      double Op = Open[i+LookBackPeriod];
      double Cl = Close[i];

      double Pivot = NormalizeDouble((Op+Hi+Lo+Cl)/4, Digits);
       R1 = Pivot - Lo;
       S1 = Pivot - Hi;    
     } 
        
      UBBuffer[i] = R1;
      LBBuffer[i] = S1;  
    i--;
   }






//----
   return(0);
  }
//+------------------------------------------------------------------+